Page MenuHomePhabricator

Write and publish blogpost summarizing Wikimedia's participation in Google Code-in 2014
Closed, ResolvedPublic

Description

To potentially publish on blog.wikimedia.org after Feb 02 19:00 UTC.

Blogpost draft moved to https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/Wikimedia_in_Google_Code-in_2014

Event Timeline

Aklapper updated the task description. (Show Details)
Aklapper raised the priority of this task from to Normal.
Aklapper claimed this task.
Nemo_bis set Security to None.Jan 11 2015, 9:16 AM
Nemo_bis added a subscriber: Qgil.
Aklapper updated the task description. (Show Details)Jan 12 2015, 11:33 AM
jayvdb added a subscriber: jayvdb.Jan 14 2015, 2:50 PM

The noticeable achievements (so far) with pywikibot are (I cant see/recall any others) :

  • UploadBot now handles batches of files to be uploaded. (one task pending completion)
  • more tests, and several bugs were found and fixed in the process
    • pywikibot library test coverage from 67% to 70% (non-write tests only - these figures need to be redone before publishing)
    • pywikibot script test coverage from 21% of 3 scripts (out of 70 scripts) to 38% of 8 scripts (out of 73 scripts)
  • Two pywikibot-compat components were ported to pywikibot-core library: undelete and log pagegenerator
  • wikidata filters may now be used when selecting which pages to process on another wiki. e.g. select wikipedia pages in category "businesses from <foo>" but filter it with "but only if they have an 'instance of organisation' in wikidata" , allowing the occasional unusual category member to be skipped.
  • Improved ISBN validation, with support for validation of ISBNs on Wikidata (one task pending completion)

There was also a large chunk of GUI code moved from flickrripper to the main library with tests added, but I doubt that can be a useful part of a blog post.

Aklapper updated the task description. (Show Details)Jan 15 2015, 8:23 PM
Aklapper updated the task description. (Show Details)Jan 16 2015, 4:50 PM
Aklapper updated the task description. (Show Details)Jan 16 2015, 5:14 PM
Tgr added a subscriber: Tgr.Jan 16 2015, 7:31 PM
Tgr added a comment.Jan 17 2015, 1:07 AM

The GCI organizers are also interested in blog posts / quotes:

*Call for blog posts*
If you would like to write a blog post (or a mini-post) or even just a quote or two about your org's experience with GCI or some of the cool projects students worked on during the contest we would love to get it up on our OSPO blog in these next couple of months as we post more stats about the contest and announce the Grand Prize Winners on February 2nd.

(the blog in question being this, I guess)

Aklapper updated the task description. (Show Details)Jan 18 2015, 5:30 PM
Aklapper updated the task description. (Show Details)Jan 20 2015, 5:52 PM
Aklapper updated the task description. (Show Details)Jan 22 2015, 3:45 AM
Aklapper raised the priority of this task from Normal to High.Jan 24 2015, 6:43 AM
Aklapper updated the task description. (Show Details)Jan 24 2015, 7:53 PM
Aklapper updated the task description. (Show Details)Jan 24 2015, 8:24 PM

From my point of view the content of this blogpost is done (apart from entering the names of the two winners once published by Google).

Anybody feel free proceed with the steps needed to publish this after Feb 02 19:00 UTC.

Aklapper renamed this task from Write blogpost summarizing Wikimedia's participation in Google Code-in 2014 to Write and publish blogpost summarizing Wikimedia's participation in Google Code-in 2014.Jan 24 2015, 8:27 PM
Aklapper lowered the priority of this task from High to Normal.
Aklapper updated the task description. (Show Details)Jan 24 2015, 9:36 PM
Tgr added a comment.Jan 28 2015, 12:39 AM

Summary of multimedia-related contributions: https://lists.wikimedia.org/pipermail/multimedia/2015-January/001009.html (gah this looks horrible in mailman).

Also worth adding as is to the blog post, IMHO:

jarekt said:

[[User:Sn1per]] spearheaded the development of the Lua module Module:Complex_date , which is the engine behind [[Template:Other date]] and several other templates used for translation of date related phrases. The [[Module:Complex date]] is now live and used on ~800k pages on Commons and is being ported to Wikidata. After initial development by [[User:Sn1per]] the code went through a lot of changes and testing, and a lot of new features are still being tested, but it was the big task to get the ball rolling. Module:Complex_date allows a lot of freedom with how complicated code one wants to write in order to get things right.

Aklapper raised the priority of this task from Normal to High.Feb 2 2015, 4:00 PM
Aklapper updated the task description. (Show Details)Feb 2 2015, 5:39 PM

Reassigned to @Fabrice_Florin to format and publish this.
I am going to add the winners' names to this task once the embargo is over in a few hours, and I'm happy to answer any further questions here.

For the records, I am going to publish a very similar blogpost based on this one on my private blog soon too.

Aklapper updated the task description. (Show Details)Feb 2 2015, 10:48 PM

For the records, I've published my draft on private blog already as I did not hear back from WMF Communications lately: http://blogs.gnome.org/aklapper/2015/02/04/wikimedia-google-code-in-2014-results/

Ah, I got it from the planet and didn't notice it was in your own blog. :)

@Fabrice_Florin: Could you elaborate how you plan to proceed here to get this out?
Because in some days this is going to be "old news". Thanks!

Qgil added a comment.Feb 9 2015, 9:04 AM

@Aklapper, I took the liberty of editing the lead paragraph and proposing a more informative title (that might be to long now).

@Fabrice_Florin, please publish this blog poast whenever you have time to review. It is getting old pretty quickly.

Thanks Quim. Feel free to edit away on it (like everybody else is also welcome to). :)

Wondering whether Guillaume and Tilman still give a hand reviewing tech blog posts...

Wondering whether Guillaume and Tilman still give a hand reviewing tech blog posts...

No, this is now handled by @Fabrice_Florin and the Communications team (I am now a mere mortal on the Wikimedia blog). Fabrice may not check Phabricator notifications very often; Per the guidelines, I recommend sending him a direct email, and possibly Cc:ing communications@wikimedia.org.

For the records, private email communication with Fabrice has happened a while ago and I have requested to please use this task for communication instead of (intransparent) private email.

Fair enough :)

Hi Andre and Quim,

Thanks so much for improving the draft on the Google Code-in story yesterday!

We have made minor copy edits on our end, as well as moved the group photo to the top as a lead image, added a caption and photo credits, and added a summary for what would appear on the blog’s home page when this story is featured.

Please take a look at this proposed final draft, and feel free to make any final tweaks. We will add ideas for social media next.

https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/Wikimedia_in_Google_Code-in_2014

We would like to publish it mid-day today, if that works for you.

I would also like to introduce you to Andrew Sherman, our new communications intern, who will be working with me to publish your post.

Thanks again for all your hard work on this inspiring story :)

Fabrice

Hi guys: we just published this story here on the Wikimedia blog:

https://blog.wikimedia.org/2015/02/10/wikimedia-google-code-in-2014/

Please let us know if you have any comments or suggested tweaks.

Thanks again to everyone who contributed to this story -- and to this inspiring mentoring program :)

Aklapper closed this task as Resolved.Feb 10 2015, 10:06 PM

Yay! Thank you for publishing this, and your patience.

(For future reference, please feel free to close finished tasks as resolved. Doing that now. :)

Qgil added a comment.Feb 11 2015, 8:01 AM

@Aklapper, Google is almost always thirsty of blog posts. If Stephanie hasn't reached out, maybe you want to propose a re-publication of this blog post to her?

Yepp. I have sent an email to Stephanie about it.

Qgil moved this task from Backlog to Doing on the ECT-February-2015 board.Feb 24 2015, 4:56 PM
Qgil awarded a token.Feb 28 2015, 2:00 PM